Skip to main content
GET
/
projects
/
{project_id}
/
integrations
/
client_side
Get Magic Embed settings
curl --request GET \
  --url https://api.beyondwords.io/v1/projects/{project_id}/integrations/client_side \
  --header 'X-Api-Key: <api-key>'
{
  "enabled": false,
  "allowed_domains": [
    "example.com",
    "m.example.com"
  ],
  "created": "2023-01-01 00:00:00 UTC",
  "updated": "2023-01-01 00:00:00 UTC"
}
Returns Magic Embed settings for a project, including whether the integration is enabled and the list of allowed domains. See the Magic Embed guide for setup instructions.

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

The numeric ID of your project

Response

OK

enabled
boolean

Whether or not the client side integration should be enabled. Disabled by default.

allowed_domains
string[]

The list of domains from which to import content into the BeyondWords platform.

created
string<date-time>

Time at which the object was created (ISO 8601)

updated
string<date-time>

Time at which the object was updated (ISO 8601)